# Coltrane

A simple GUI tool for web applications. Deploy your app, backup the database, run migrations etc all from a single interface.

Originally built for a personal Rails project, Coltrane can be used on any web application as every command is totally customizable.

![](https://raw.github.com/owainlewis/coltrane/master/public/img/preview.png)

## Getting started

Requires OSX or Linux, Node.

Coltrane runs on Node.js so you'll need that installed along with NPM.

Installing dependencies

```
npm install
```

Running the server

```
node app.js
```

## Customising

All of the application tasks are designed to be easily configured for your app.

The general configuration is stored in config.json. Each task is totally customizable.

Here is an example config.json file for reference.

```json
{
  "dir": "~/projects/ruby/rails/forward",
  "nodePort": 9000,
  "deploy": {
    "production" : "git push heroku master",
    "staging"    : "git push heroku staging"
  },
  "server": {
    "start" : "rails s -p 3000"
  },
  "test": {
    "all": "rspec spec"
  },
  "database": {
    "migrate"    : "bundle exec rake db:migrate",
    "rollback"   : "bundle exec rake db:rollback",
    "production" : "git push heroku master"
  }
}

```
